aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/get-maintainer107
-rw-r--r--scripts/lib/image/canned-wks/imx-barebox.wks18
-rw-r--r--scripts/lib/image/canned-wks/imx-uboot-spl.wks18
-rw-r--r--scripts/lib/image/canned-wks/imx-uboot.wks17
4 files changed, 160 insertions, 0 deletions
diff --git a/scripts/get-maintainer b/scripts/get-maintainer
new file mode 100755
index 00000000..071cdf60
--- /dev/null
+++ b/scripts/get-maintainer
@@ -0,0 +1,107 @@
+#!/bin/sh
+# -*- mode: shell-script; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*-
+#
+# Copyright (C) 2014 O.S. Systems Software LTDA.
+# Authored-by: Otavio Salvador <otavio@ossystems.com.br>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 2 as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+usage() {
+ cat<<EOF
+Usage:
+
+ $0 [ --machine=<machine> ] <path> ...
+
+ <path>
+ Directory(ies) where to look for machine definition files.
+
+ Options:
+
+ --machine=<machine>
+ Optional param to restrict the printing for a specific machine name.
+
+ --dump
+ Generate output in a format which is easier to parse. Columns
+ are separated by TAB. Empty cells for the "Maintainer" column
+ represent "no maintainer".
+
+EOF
+}
+
+path=
+specific_machine=
+dump_mode=
+
+for opt in ${*}; do
+ if [ "`echo $opt | cut -b-10`" = "--machine=" ]; then
+ specific_machine="`echo $opt | cut -b11-`"
+ elif [ "$opt" = "--dump" ]; then
+ dump_mode=1
+ else
+ path="$path $opt"
+ fi
+done
+
+if [ -z "$path" ]; then
+ usage
+ exit 1
+fi
+
+maintained=`mktemp`
+orphan=`mktemp`
+
+machines=`find $path -wholename '*/conf/machine/*.conf'`
+for m in $machines; do
+ machine=`basename $m | sed 's,\.conf$,,g'`
+ if [ -n "$specific_machine" ] && [ "$machine" != "$specific_machine" ]; then
+ continue
+ fi
+
+ name=`sed -n 's,#@NAME:\s*\(.*\)\s*,\1,p' $m`
+ maint=`sed -n 's,#@MAINTAINER:\s*\(.*\)\s*,\1,p' $m`
+
+ if [ -n "$dump_mode" ]; then
+ if [ -n "$maint" ]; then
+ printf "${machine}\t${name}\t${maint}\n" >> $maintained
+ else
+ printf "${machine}\t${name}\n" >> $orphan
+ fi
+ else
+ if [ -n "$maint" ]; then
+ printf "%-25s %-50s %-50s\n" "$machine" "$name" "$maint" >> $maintained
+ else
+ printf "%-25s %-50s %-50s\n" "$machine" "$name" "Orphan" >> $orphan
+ fi
+ fi
+done
+
+display() {
+ sort -u -k 2 $maintained | grep -v $^
+ sort -u -k 2 $orphan | grep -v $^
+}
+
+if [ -n "$dump_mode" ]; then
+ display
+else
+ cat <<EOF
+========================= ================================================== ==================================================
+ Machine Name Maintainer
+========================= ================================================== ==================================================
+EOF
+ display
+ cat <<EOF
+========================= ================================================== ==================================================
+EOF
+fi
+rm $maintained $orphan
diff --git a/scripts/lib/image/canned-wks/imx-barebox.wks b/scripts/lib/image/canned-wks/imx-barebox.wks
new file mode 100644
index 00000000..77b55548
--- /dev/null
+++ b/scripts/lib/image/canned-wks/imx-barebox.wks
@@ -0,0 +1,18 @@
+# short-description: Create SD card image with a boot partition
+# long-description:
+# Create an image that can be written onto a SD card using dd for use
+# with i.MX SoC family
+# It uses barebox
+#
+# The disk layout used is:
+# - --------- ------------ --------- --------------
+# | | barebox | bareboxenv | /boot | rootfs |
+# - --------- ------------ --------- --------------
+# ^ ^ ^ ^ ^ ^
+# | | | | | |
+# 0 512B 512kiB 4MiB 4MiB + 8MiB 4MiB + 8Mib + rootfs + IMAGE_EXTRA_SPACE (default 10MiB)
+#
+part barebox --source rawcopy --sourceparams="file=barebox.bin,skip=512" --ondisk mmcblk --no-table
+part bareboxenv --source rawcopy --sourceparams="file=bareboxenv.bin" --ondisk mmcblk --no-table --align 512
+part /boot --source bootimg-partition --ondisk mmcblk --fstype=vfat --label boot --active --align 4096 --size 8M --extra-space 0
+part / --source rootfs --ondisk mmcblk --fstype=ext4 --label root --align 4096
diff --git a/scripts/lib/image/canned-wks/imx-uboot-spl.wks b/scripts/lib/image/canned-wks/imx-uboot-spl.wks
new file mode 100644
index 00000000..e2bdc145
--- /dev/null
+++ b/scripts/lib/image/canned-wks/imx-uboot-spl.wks
@@ -0,0 +1,18 @@
+# short-description: Create SD card image with a boot partition
+# long-description:
+# Create an image that can be written onto a SD card using dd for use
+# with i.MX SoC family.
+# It uses SPL and u-boot
+#
+# The disk layout used is:
+# - ----- --------- --------- --------------
+# | | SPL | u-boot | /boot | rootfs |
+# - ----- --------- --------- --------------
+# ^ ^ ^ ^ ^ ^
+# | | | | | |
+# 0 1kiB 69kiB 4MiB 4MiB + 8MiB 4MiB + 8Mib + rootfs + IMAGE_EXTRA_SPACE (default 10MiB)
+#
+part SPL --source rawcopy --sourceparams="file=SPL" --ondisk mmcblk --no-table --align 1
+part u-boot --source rawcopy --sourceparams="file=u-boot.imx" --ondisk mmcblk --no-table --align 69
+part /boot --source bootimg-partition --ondisk mmcblk --fstype=vfat --label boot --active --align 4096 --size 8M --extra-space 0
+part / --source rootfs --ondisk mmcblk --fstype=ext4 --label root --align 4096
diff --git a/scripts/lib/image/canned-wks/imx-uboot.wks b/scripts/lib/image/canned-wks/imx-uboot.wks
new file mode 100644
index 00000000..08652103
--- /dev/null
+++ b/scripts/lib/image/canned-wks/imx-uboot.wks
@@ -0,0 +1,17 @@
+# short-description: Create SD card image with a boot partition
+# long-description:
+# Create an image that can be written onto a SD card using dd for use
+# with i.MX SoC family
+# It uses u-boot
+#
+# The disk layout used is:
+# - --------- --------- --------------
+# | | u-boot | /boot | rootfs |
+# - --------- --------- --------------
+# ^ ^ ^ ^ ^
+# | | | | |
+# 0 1kiB 4MiB 4MiB + 8MiB 4MiB + 8Mib + rootfs + IMAGE_EXTRA_SPACE (default 10MiB)
+#
+part u-boot --source rawcopy --sourceparams="file=u-boot.imx" --ondisk mmcblk --no-table --align 1
+part /boot --source bootimg-partition --ondisk mmcblk --fstype=vfat --label boot --active --align 4096 --size 8M --extra-space 0
+part / --source rootfs --ondisk mmcblk --fstype=ext4 --label root --align 4096